org.h2.jdbc.meta

## Class DatabaseMeta

- java.lang.Object
- - org.h2.jdbc.meta.DatabaseMeta

Direct Known Subclasses:
  DatabaseMetaLegacy, DatabaseMetaLocal, DatabaseMetaRemote

    public abstract class DatabaseMeta
    extends java.lang.Object

Database meta information.

### Constructor Summary

Constructors
Constructor and Description
`DatabaseMeta()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract DefaultNullOrdering` `defaultNullOrdering()` INTERNAL
`abstract ResultInterface` `getAttributes(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern, java.lang.String attributeNamePattern)` INTERNAL
`abstract ResultInterface` `getBestRowIdentifier(java.lang.String catalogPattern, java.lang.String schemaPattern, java.lang.String tableName, int scope, boolean nullable)` INTERNAL
`abstract ResultInterface` `getCatalogs()` INTERNAL
`abstract ResultInterface` `getColumnPrivileges(java.lang.String catalog, java.lang.String schema, java.lang.String table, java.lang.String columnNamePattern)` INTERNAL
`abstract ResultInterface` `getColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String columnNamePattern)` INTERNAL
`abstract ResultInterface` `getCrossReference(java.lang.String primaryCatalog, java.lang.String primarySchema, java.lang.String primaryTable, java.lang.String foreignCatalog, java.lang.String foreignSchema, java.lang.String foreignTable)` INTERNAL
`abstract int` `getDatabaseMajorVersion()` INTERNAL
`abstract int` `getDatabaseMinorVersion()` INTERNAL
`abstract java.lang.String` `getDatabaseProductVersion()` INTERNAL
`abstract ResultInterface` `getExportedKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)` INTERNAL
`abstract ResultInterface` `getFunctionColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String functionNamePattern, java.lang.String columnNamePattern)` INTERNAL
`abstract ResultInterface` `getFunctions(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String functionNamePattern)` INTERNAL
`abstract ResultInterface` `getImportedKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)` INTERNAL
`abstract ResultInterface` `getIndexInfo(java.lang.String catalog, java.lang.String schema, java.lang.String table, boolean unique, boolean approximate)` INTERNAL
`abstract java.lang.String` `getNumericFunctions()` INTERNAL
`abstract ResultInterface` `getPrimaryKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)` INTERNAL
`abstract ResultInterface` `getProcedureColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern, java.lang.String columnNamePattern)` INTERNAL
`abstract ResultInterface` `getProcedures(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern)` INTERNAL
`abstract ResultInterface` `getPseudoColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String columnNamePattern)` INTERNAL
`abstract ResultInterface` `getSchemas()` INTERNAL
`abstract ResultInterface` `getSchemas(java.lang.String catalog, java.lang.String schemaPattern)` INTERNAL
`abstract java.lang.String` `getSearchStringEscape()` INTERNAL
`abstract java.lang.String` `getSQLKeywords()` INTERNAL
`abstract java.lang.String` `getStringFunctions()` INTERNAL
`abstract ResultInterface` `getSuperTables(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern)` INTERNAL
`abstract ResultInterface` `getSuperTypes(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern)` INTERNAL
`abstract java.lang.String` `getSystemFunctions()` INTERNAL
`abstract ResultInterface` `getTablePrivileges(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern)` INTERNAL
`abstract ResultInterface` `getTables(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String[] types)` INTERNAL
`abstract ResultInterface` `getTableTypes()` INTERNAL
`abstract java.lang.String` `getTimeDateFunctions()` INTERNAL
`abstract ResultInterface` `getTypeInfo()` INTERNAL
`abstract ResultInterface` `getUDTs(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern, int[] types)` INTERNAL
`abstract ResultInterface` `getVersionColumns(java.lang.String catalog, java.lang.String schema, java.lang.String table)` INTERNAL

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabaseMeta

    public DatabaseMeta()

### Method Detail

#### defaultNullOrdering

    public abstract DefaultNullOrdering defaultNullOrdering()

INTERNAL

Returns:
  DefaultNullOrdering
See Also:
  `DatabaseMetaData.nullsAreSortedHigh()`, `DatabaseMetaData.nullsAreSortedLow()`, `DatabaseMetaData.nullsAreSortedAtStart()`, `DatabaseMetaData.nullsAreSortedAtEnd()`

#### getDatabaseProductVersion

    public abstract java.lang.String getDatabaseProductVersion()

INTERNAL

Returns:
  product version as String
See Also:
  `DatabaseMetaData.getDatabaseProductVersion()`

#### getSQLKeywords

    public abstract java.lang.String getSQLKeywords()

INTERNAL

Returns:
  list of supported SQL keywords
See Also:
  `DatabaseMetaData.getSQLKeywords()`

#### getNumericFunctions

    public abstract java.lang.String getNumericFunctions()

INTERNAL

Returns:
  list of supported numeric functions
See Also:
  `DatabaseMetaData.getNumericFunctions()`

#### getStringFunctions

    public abstract java.lang.String getStringFunctions()

INTERNAL

Returns:
  list of supported string functions
See Also:
  `DatabaseMetaData.getStringFunctions()`

#### getSystemFunctions

    public abstract java.lang.String getSystemFunctions()

INTERNAL

Returns:
  list of supported system functions
See Also:
  `DatabaseMetaData.getSystemFunctions()`

#### getTimeDateFunctions

    public abstract java.lang.String getTimeDateFunctions()

INTERNAL

Returns:
  list of supported time/date functions
See Also:
  `DatabaseMetaData.getTimeDateFunctions()`

#### getSearchStringEscape

    public abstract java.lang.String getSearchStringEscape()

INTERNAL

Returns:
  search string escape sequence
See Also:
  `DatabaseMetaData.getSearchStringEscape()`

#### getProcedures

    public abstract ResultInterface getProcedures(java.lang.String catalog,
                                                  java.lang.String schemaPattern,
                                                  java.lang.String procedureNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `procedureNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getProcedures(String, String, String)`

#### getProcedureColumns

    public abstract ResultInterface getProcedureColumns(java.lang.String catalog,
                                                        java.lang.String schemaPattern,
                                                        java.lang.String procedureNamePattern,
                                                        java.lang.String columnNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `procedureNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getProcedureColumns(String, String, String, String)`

#### getTables

    public abstract ResultInterface getTables(java.lang.String catalog,
                                              java.lang.String schemaPattern,
                                              java.lang.String tableNamePattern,
                                              java.lang.String[] types)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `types` - String[]
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getTables(String, String, String, String[])`

#### getSchemas

    public abstract ResultInterface getSchemas()

INTERNAL

Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getSchemas()`

#### getCatalogs

    public abstract ResultInterface getCatalogs()

INTERNAL

Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getCatalogs()`

#### getTableTypes

    public abstract ResultInterface getTableTypes()

INTERNAL

Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getTableTypes()`

#### getColumns

    public abstract ResultInterface getColumns(java.lang.String catalog,
                                               java.lang.String schemaPattern,
                                               java.lang.String tableNamePattern,
                                               java.lang.String columnNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getColumns(String, String, String, String)`

#### getColumnPrivileges

    public abstract ResultInterface getColumnPrivileges(java.lang.String catalog,
                                                        java.lang.String schema,
                                                        java.lang.String table,
                                                        java.lang.String columnNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getColumnPrivileges(String, String, String, String)`

#### getTablePrivileges

    public abstract ResultInterface getTablePrivileges(java.lang.String catalog,
                                                       java.lang.String schemaPattern,
                                                       java.lang.String tableNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getTablePrivileges(String, String, String)`

#### getBestRowIdentifier

    public abstract ResultInterface getBestRowIdentifier(java.lang.String catalogPattern,
                                                         java.lang.String schemaPattern,
                                                         java.lang.String tableName,
                                                         int scope,
                                                         boolean nullable)

INTERNAL

Parameters:
  `catalogPattern` - "LIKE" style pattern to filter result
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableName` - table of interest
  `scope` - of interest
  `nullable` - include nullable columns
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getBestRowIdentifier(String, String, String, int, boolean)`

#### getVersionColumns

    public abstract ResultInterface getVersionColumns(java.lang.String catalog,
                                                      java.lang.String schema,
                                                      java.lang.String table)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getVersionColumns(String, String, String)`

#### getPrimaryKeys

    public abstract ResultInterface getPrimaryKeys(java.lang.String catalog,
                                                   java.lang.String schema,
                                                   java.lang.String table)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getPrimaryKeys(String, String, String)`

#### getImportedKeys

    public abstract ResultInterface getImportedKeys(java.lang.String catalog,
                                                    java.lang.String schema,
                                                    java.lang.String table)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getImportedKeys(String, String, String)`

#### getExportedKeys

    public abstract ResultInterface getExportedKeys(java.lang.String catalog,
                                                    java.lang.String schema,
                                                    java.lang.String table)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getExportedKeys(String, String, String)`

#### getCrossReference

    public abstract ResultInterface getCrossReference(java.lang.String primaryCatalog,
                                                      java.lang.String primarySchema,
                                                      java.lang.String primaryTable,
                                                      java.lang.String foreignCatalog,
                                                      java.lang.String foreignSchema,
                                                      java.lang.String foreignTable)

INTERNAL

Parameters:
  `primaryCatalog` - to inspect
  `primarySchema` - to inspect
  `primaryTable` - to inspect
  `foreignCatalog` - to inspect
  `foreignSchema` - to inspect
  `foreignTable` - to inspect
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getCrossReference(String, String, String, String, String, String)`

#### getTypeInfo

    public abstract ResultInterface getTypeInfo()

INTERNAL

Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getTypeInfo()`

#### getIndexInfo

    public abstract ResultInterface getIndexInfo(java.lang.String catalog,
                                                 java.lang.String schema,
                                                 java.lang.String table,
                                                 boolean unique,
                                                 boolean approximate)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
  `unique` - only
  `approximate` - allowed
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getIndexInfo(String, String, String, boolean, boolean)`

#### getUDTs

    public abstract ResultInterface getUDTs(java.lang.String catalog,
                                            java.lang.String schemaPattern,
                                            java.lang.String typeNamePattern,
                                            int[] types)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
  `types` - int[]
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getUDTs(String, String, String, int[])`

#### getSuperTypes

    public abstract ResultInterface getSuperTypes(java.lang.String catalog,
                                                  java.lang.String schemaPattern,
                                                  java.lang.String typeNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getSuperTypes(String, String, String)`

#### getSuperTables

    public abstract ResultInterface getSuperTables(java.lang.String catalog,
                                                   java.lang.String schemaPattern,
                                                   java.lang.String tableNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getSuperTables(String, String, String)`

#### getAttributes

    public abstract ResultInterface getAttributes(java.lang.String catalog,
                                                  java.lang.String schemaPattern,
                                                  java.lang.String typeNamePattern,
                                                  java.lang.String attributeNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
  `attributeNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getAttributes(String, String, String, String)`

#### getDatabaseMajorVersion

    public abstract int getDatabaseMajorVersion()

INTERNAL

Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getDatabaseMajorVersion()`

#### getDatabaseMinorVersion

    public abstract int getDatabaseMinorVersion()

INTERNAL

Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getDatabaseMinorVersion()`

#### getSchemas

    public abstract ResultInterface getSchemas(java.lang.String catalog,
                                               java.lang.String schemaPattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getSchemas(String, String)`

#### getFunctions

    public abstract ResultInterface getFunctions(java.lang.String catalog,
                                                 java.lang.String schemaPattern,
                                                 java.lang.String functionNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `functionNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getFunctions(String, String, String)`

#### getFunctionColumns

    public abstract ResultInterface getFunctionColumns(java.lang.String catalog,
                                                       java.lang.String schemaPattern,
                                                       java.lang.String functionNamePattern,
                                                       java.lang.String columnNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `functionNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getFunctionColumns(String, String, String, String)`

#### getPseudoColumns

    public abstract ResultInterface getPseudoColumns(java.lang.String catalog,
                                                     java.lang.String schemaPattern,
                                                     java.lang.String tableNamePattern,
                                                     java.lang.String columnNamePattern)

INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getPseudoColumns(String, String, String, String)`